/*
 * ResolverSend.java
 *
 * Created on December 15, 2001, 1:46 PM
 */

package com.sams.jxta.pda;
import java.lang.Thread;
import net.jxta.protocol.ResolverQueryMsg;
import net.jxta.protocol.PeerAdvertisement;
import net.jxta.impl.resolver.ResolverServiceImpl;
public class ResolverSend extends Thread{
    net.jxta.impl.resolver.ResolverServiceImpl resolver;
    PeerAdvertisement peer;
    ResolverQueryMsg resolverQueryMsg;
    public ResolverSend(ResolverServiceImpl resolver, PeerAdvertisement peer, ResolverQueryMsg resolverQueryMsg){
        this.resolver = resolver;
        this.peer = peer;
        this.resolverQueryMsg = resolverQueryMsg;
    }
    public void run(){
        try{
            resolver.sendQuery(null/*peer.getID().toString()*/, resolverQueryMsg);
            System.out.println("Peer:"+peer+" Message sent:"+resolverQueryMsg);
        }catch(Exception e){
            e.printStackTrace();
        }
    }
}