/*
 * PeerDiscoveryThread.java
 *
 * Created on December 11, 2001, 6:54 PM
 */

package com.sams.jxta.pda;
import net.jxta.service.*;
import net.jxta.discovery.*;
import net.jxta.peergroup.PeerGroup;

    public class PeerDiscoveryThread implements Runnable, DiscoveryListener {

        private static final long   REMOTE_DISCOVERY_INTERVAL = 60 * 1000;
        PeerGroup peerGroup;
      
        boolean done=false;
        Thread thread;
        DiscoveryService disco;
        public PeerDiscoveryThread(PeerGroup peerGroup) {
            this.peerGroup = peerGroup;
            
            
        }
        public void run() {
            int i =0;
            
            disco = peerGroup.getDiscoveryService();
            while( !done) {
                //System.out.println("Attempt #" + (i++ ) + " to locate another calendar peer");
                
                disco.addDiscoveryListener(this);
                disco.getRemoteAdvertisements(null, DiscoveryService.GROUP, null,null, 100);
                //disco.getRemoteAdvertisements(null, DiscoveryService.PEER, "Name", "*", 100);
                disco.getRemoteAdvertisements(null, DiscoveryService.PEER, null,null, 100);
                try {
                    //System.out.println("Sleeping");
                    Thread.currentThread().sleep(REMOTE_DISCOVERY_INTERVAL);
                } catch (InterruptedException e) {
                    System.out.println("Discovery Sleeping thred Interrupted");
                    done = true;
                }
                //System.out.println("awake");
            }
        }
        
        public void discoveryEvent(DiscoveryEvent event) {
            //System.out.println("Discovery Event!");
            //DiscoveryResponseMsg msg  = event.getResponse();
            //Enumeration          advs = msg.getResponses();
            //while (advs.hasMoreElements()) {
            //    String advStr = (String) advs.nextElement();
                
            //}
        }
        
    }//End of class PeerDiscoveryThread

